Create Subscription

This operation is used to create a Subscription.

Webhooks

Webhook Definition Details
application/json

Webhook Request Body

This is the base definition for all event messages. It contains the common properties that are shared across all events.

Name

Required

Additional Info

Description

eventId

true

Identifier of the triggered event. Can be used as an idempotency key to detect duplicates.

eventType

true

This is a list of all the types of events we currently send.

  • RECURRING_PAYMENT_CONFIRMED: A payment transaction has been executed.

occuredAt

true

the timestamp of when the event occurred (not necessarily the same of when it was delivered)

apiVersion

false

The Moneris API Version used to populate the event payload.

objectId

false

Used to identify API resources which may be required for future follow-on transactions; i.e. Refunds, Corrections, Completions, Reversals, etc.

href

false

Uniform resource locator to retrieve resource details.

correlationId

false

Correlation Id transmitted during the original request. This is useful to correlate between multiple events corresponding to same flow.

data

false

The Payment data associated with the event.

Response 200 OK

Webhook event processed successfully

Response 400 Bad Request

An error has occured while processing webhook event

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length between 1 and 36

A Unique Identifier that is required for handling idempotent requests.

Note: Moneris encourages the use of UUID Version 4 in APIs as an idempotency key."

string | null
^[a-zA-Z0-9-_]+$

Indicates the merchant-defined transaction identifer or order ID. Identifiers are unique for every Purchase, Pre-Authorization and Independent Refund transaction

Note: No two transactions of these types may have the same order ID. Field only accepts alphanumerical characters, dashes and underscores.

string | null

Submits a unique value to identify a transaction that is logged by Moneris Solutions.

string
enum
required

Subscription Type.

  • RECURRING: Recurring Subscription.
Allowed:
billingDetails
object
required

Subscriptions allows you to set up payments whereby Moneris automatically processes the transactions and bills customers on your behalf based on the billing cycle information you provide.

string | null

URL-encoded, fully qualified callback URL that receives subscription notification.

Note: Request with URL that is not URL-encoded will be rejected for security reasons.

Example (URL-encoded): https%3A%2F%2Fmerchant.example.com%2Fcallback%3ForderId%3D123

oneTimeAmount
object | null

The amount for the first subscription transaction. The value must be in cents. Therefore $10.59 must be sent as 1059

paymentMethod
required

Subscription Payment method details.

Note: If defined, this will result in the creation of a Permanent Payment Method as defined in the Payment Method API.

string
enum
Defaults to SSL_MERCHANT

The ecommerce indicator (ECI) specifies the level of security that was used to obtain the cardholder's payment data.
It is sent by the merchant and returned by the issuer.
When returned in the response, it can be different from the value sent in the request in case transaction was downgraded by the issuer.

Allowed:
string | null
^[A-Za-z]{2}\d{2}[A-Za-z0-9]{26}$

Unique Identification for the Customer

string | null

Unique Identification for the Customer. This can be an identifier generated from a merchant-defined identifier.

customData
object | null

Merchant can send custom meta data with the transaction in this object. Moneris will echo these values back in response.

string | null

Merchant defined description sent on a per-transaction basis that will appear on the credit card statement.

Dependent on the card Issuer, the statement will typically show the dynamic descriptor appended to the merchant's existing business name separated by the '/' character.

Note: The combined length of the merchant's business name, forward slash '/' character, and the dynamic descriptor may not exceed 22 characters.

threeDSecureData

Data related to 3-D Secure

string | null

Internet Protocol version 4 (IPv4).

string | null

Internet Protocol version 6 (IPv6).

Headers
string
required
Defaults to 2026-01-22-preview

The endpoint's API Version.

Must be provided through the headers section.

string

Correlates a series of requests within the same flow.

Note: This ID is generated by Moneris with every request or response, if it doesn't exist.
Merchants are to echo back the value with every request that is part of the call flow."

string
required
length between 13 and 13

Thirteen character identification code.

Note: This code is provided by Moneris and is required to identify the Merchant executing the transaction.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Missing 1 required scope
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json
*/*